Subject: Re: [PATCH 03/23] e100: Add debugging code for cb cleaning and csum failures.

From: Dave Jones <[email-masked]>
Date: Tue, 19 Sep 2006 17:46:12 -0400

On Tue, Sep 19, 2006 at 05:40:34PM -0400, Jeff Garzik wrote:
 > Dave Jones wrote:
 > > On Tue, Sep 19, 2006 at 10:28:38AM -0700, Kok, Auke wrote:
 > >  > +			add_taint(TAINT_MACHINE_CHECK);
 > > 
 > > I object to this flag being abused this way.
 > > A corrupt EEPROM on a network card has _nothing_ to do with
 > > a CPU machine check exception.
 > 
 > Fair enough.  Better suggestions?
 > 
 > I think it's fair to set _some_ taint flag, perhaps a new one, on a 
 > known corrupted firmware.  But if others disagree, I'll follow the 
 > consensus here.

I don't object to a new flag, but overloading an existing flag that has
established meaning just seems wrong to me.

Question is how many more types of random hardware failures are there
that we'd like to do similar things for ?
Perhaps a catch-all "H"ardware failure flag for assorted brokenness
would be better than a proliferation of flags?

	Dave